summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..b27b92ee
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ "x$(uname)" = "xOpenBSD" ]; then
+ [ -z "$AUTOMAKE_VERSION" ] && export AUTOMAKE_VERSION=1.15
+ [ -z "$AUTOCONF_VERSION" ] && export AUTOCONF_VERSION=2.69
+fi
+
+die()
+{
+ echo "$@" >&2
+ exit 1
+}
+
+mkdir -p etc
+aclocal || die "aclocal failed"
+automake --add-missing --force-missing --copy --foreign || die "automake failed"
+autoreconf || die "autoreconf failed"